Name:           libreswan-release       
Version:        7
Release:        1
Summary:        Upstream libreswan package releases

Group:          System Environment/Base 
License:        GPLv2

URL:            http://download.libreswan.org/binaries/rhel
Source0:        https://download.libreswan.org/binaries/RPM-GPG-KEY-libreswan
Source1:        GPL
Source2:        libreswan.repo
Source3:        libreswan-testing.repo

BuildArch:     noarch
Requires:      redhat-release >=  %{version} 

%description
This package contains the Libreswan Packages for the upstream RHEL / EPEL
repositories, GPG key as well as configuration for yum.


%prep
%setup -q  -c -T
install -pm 644 %{SOURCE0} .
install -pm 644 %{SOURCE1} .

%build


%install
rm -rf %{buildroot}

#GPG Key
install -Dpm 644 %{SOURCE0} \
    %{buildroot}%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-libreswan

# yum
install -dm 755 %{buildroot}%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE2} %{SOURCE3}  \
    %{buildroot}%{_sysconfdir}/yum.repos.d

%clean
rm -rf %{buildroot}

%files
%doc GPL
%config(noreplace) /etc/yum.repos.d/*
/etc/pki/rpm-gpg/*


%changelog
* Thu Jul 05 2018 Paul Wouters <pwouters@redhat.com> - 7-1
- Initial package
